System Requirements

In order to use LacrossePrep.com, you will need a Macintosh or Windows computer with an internet connection, sound card, a browser with the Adobe Flash plugin installed, and an Adobe Acrobat PDF reader. If you are using a Windows operating system, we recommend Windows Vista or newer. Macintosh users should be running OS X 10.2.8 or newer. Video lessons require the Adobe Flash plugin version 8 or newer. A broadband internet connection (DSL or Cable) is stongly recommended for an optimal experience. If you have a dial-up connection, the videos and other multimedia elements may take a long time to load. Internet Explorer running on Macintosh computers is not supported.

Javascript must be also be enabled and your browser must be set to accept cookies from our site.

Your Browser Settings